http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a
Parameters
The search path parameter. Specifies the keyword or phrase you want to search for on Google Maps.
Get the results of a Google Maps Place by
fid.http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a
curl -X POST https://api.brightdata.com/request \
--header "Content-Type: application/json" \
--header "Authorization: Bearer API_KEY" \
--data '{
"zone": "serp_api1",
"url": "http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a",
"format": "raw"
}'
curl --proxy brd.superproxy.io:33335 \
--proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
--ssl-no-revoke \
"http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a"
(async () => {
const response = await fetch('https://api.brightdata.com/request', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY'
},
body: JSON.stringify({
zone: 'serp_api1',
url: 'http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a',
format: 'raw'
})
});
const data = await response.text();
console.log(data);
})();
import requests
# API Configuration
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY',
}
payload = {
'zone': 'serp_api1',
'url': 'http://www.google.com/maps/place/data=!3m1!4b1!4m2!3m1!1s0x89e37742d0f37093:0xbc048b8a744ff75a',
'format': 'raw'
}
# Make the request
response = requests.post(
'https://api.brightdata.com/request',
json=payload,
headers=headers
)
print(response.text)